
%define name	rtmpdump
%define version	2.4
%define snap	20111228
%define rel	5

%define major	0
%define libname	%mklibname rtmp %major
%define devname	%mklibname rtmp -d

%define build_crypto 0

%bcond_with plf

%if "%distro_section"=="tainted"
%bcond_without plf
%endif

%if %with plf
%define build_crypto 1
%endif

%if !%build_crypto
%define notice This version does not contain RTMPE / RTMPS / SWF verification support.
%else
%if %with plf
%define notice This package is in the Tainted section because it contains \
support for the RTMPE protocol which some people may consider to be a DRM \
protection mechanism.
%else
%define notice %nil
%endif
%endif

Summary:	Toolkit for RTMP streams
Name:		%{name}
Version:	%{version}
%if %snap
Release:	%mkrel 0.git%snap.%rel
%else
Release:	%mkrel %rel
%endif
URL:		http://rtmpdump.mplayerhq.hu/
%if %snap
# rm -rf rtmpdump && git clone git://git.ffmpeg.org/rtmpdump && cd rtmpdump/
# git archive --prefix=rtmpdump-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../rtmpdump-$(date +%Y%m%d).tar.xz
Source0:	%name-%{snap}.tar.xz
%else
Source:		http://rtmpdump.mplayerhq.hu/download/%name-%version.tgz
%endif
# fix pkgconfig issues
Patch0:		rtmpdump-2.4-mga-pkgconfig-private.patch
# these do not belong to sbindir
Patch1:		rtmpdump-2.4-mga-no-sbindir.patch
License:	GPLv2+
Group:		Video/Utilities
BuildRequires:	zlib-devel
%if %build_crypto
BuildRequires:	openssl-devel
%endif
Requires:	%libname >= %{version}
Obsoletes:	flvstreamer < %{version}
Provides:	flvstreamer = %{version}

%description
rtmpdump is a toolkit for RTMP streams.

%notice

%package -n %libname
Summary:	Shared library: librtmp
Group:		System/Libraries

%description -n %libname
Shared library for handling RTMP streams.

%notice

%package -n %devname
Summary:	Development files for librtmp
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	rtmp-devel = %{version}-%{release}
Provides:	librtmp-devel = %{version}-%{release}
Requires:	openssl-devel

%description -n %devname
The development files that are needed to build software depending
on librtmp.

%prep
%if %snap
%setup -q -n %name-%snap
%else
%setup -q
%endif
%apply_patches

%build
%make XCFLAGS="%optflags" LDFLAGS="%ldflags" \
%if !%build_crypto
	CRYPTO=
%endif
# empty line

%install
%makeinstall_std prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}

# Add compatibility symlink
ln -s rtmpdump %{buildroot}%{_bindir}/flvstreamer

rm %{buildroot}%{_libdir}/librtmp.a

%files
%doc README ChangeLog
%{_bindir}/flvstreamer
%{_bindir}/rtmpdump
%{_bindir}/rtmpgw
%{_bindir}/rtmpsrv
%{_bindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n %libname
%{_libdir}/librtmp.so.%{major}*

%files -n %devname
%dir %{_includedir}/librtmp
%{_includedir}/librtmp/*.h
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.4-0.git20111228.5.mga4
+ Revision: 521464
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 2.4-0.git20111228.4.mga3.tainted
+ Revision: 390991
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 02 2012 anssi <anssi> 2.4-0.git20111228.2.mga3.tainted
+ Revision: 277974
- obsolete flvstreamer and provide a compatibility symlink (bug #6774)

* Thu Dec 29 2011 doktor5000 <doktor5000> 2.4-0.git20111228.1.mga2.tainted
+ Revision: 188783
- fix pkgconfig-private.patch
- use 0.git for release
- git snapshot of version 2.4
  o supports RTMPE type 9 handshakes, needed f.ex. by Hulu or Amazon Prime
- drop pkgconfig-hardcoded.patch, already integrated upstream
- dropped link-shared.patch, already integrated upstream
- dropped link-shared2.patch, already integrated upstream
- rediffed pkgconfig-private.patch
- rediffed no-sbindir.patch

* Fri Jun 17 2011 ahmad <ahmad> 2.3-5.mga2.tainted
+ Revision: 109305
- Adjust the notice, s/PLF/Tainted/ (spotted by Anssi)

* Fri Jun 17 2011 ahmad <ahmad> 2.3-4.mga2.tainted
+ Revision: 109297
- Enable a Tainted build
- imported package rtmpdump

